%define module psb
%define name dkms-%{module}
%define date 20081006
%define version 0
%define release %mkrel 1
%define dkms_ver %{date}-%{release}

Summary: Poulsbo DRM driver
Name: %{name}
Version: %{version}
Release: %{release}
# http://moblin.org/repos/projects/psb-kmd.git
# DATE=20081006; git archive --format=tar --prefix=psb-kmd-$DATE/ origin/GASTON | gzip > psb-kmd-$DATE.tar.gz
Source0: %{module}-kmd-%{date}.tar.gz
# (blino) 2.6.27 support
Patch0: psb-kmd-20081006-2.6.27.patch
License: GPL
Group: System/Kernel and hardware
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Url: http://git.moblin.org/cgit.cgi/deprecated/psb-kmd/
BuildArch: noarch
Requires(post): dkms
Requires(preun): dkms

%description
This is a DRM driver for the video chipset from the Poulsbo SCH.

%package -n %{module}-preload
Group: System/Kernel and hardware
Summary: Auto-loading of Poulsbo DRM driver
Requires: kmod(psb)

%description -n %{module}-preload
This package contains configuration files to automatically load the
DRM driver for the video chipset from the Poulsbo SCH.

%prep
%setup -q -n %{module}-kmd-%{date}
%patch0 -p1

cat > dkms.conf <<EOF
PACKAGE_NAME=%{module}
PACKAGE_VERSION=%{dkms_ver}
MAKE[0]="make LINUXDIR=\${kernel_source_dir}"
BUILT_MODULE_NAME[0]=psb
DEST_MODULE_NAME[0]=psb
BUILT_MODULE_NAME[1]=drm
DEST_MODULE_NAME[1]=drm-psb
DEST_MODULE_LOCATION[0]=/kernel/drivers/gpu/drm
DEST_MODULE_LOCATION[1]=/kernel/drivers/gpu/drm
AUTOINSTALL=yes
EOF

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/src/%{module}-%{dkms_ver}/
tar c . | tar x -C %{buildroot}/usr/src/%{module}-%{dkms_ver}/

mkdir -p %{buildroot}%{_sysconfdir}/modprobe.preload.d
cat > %{buildroot}%{_sysconfdir}/modprobe.preload.d/%{module} <<EOF
drm-psb
psb
EOF

%clean
rm -rf %{buildroot}

%post
set -x
/usr/sbin/dkms --rpm_safe_upgrade add -m %{module} -v %{dkms_ver}
/usr/sbin/dkms --rpm_safe_upgrade build -m %{module} -v %{dkms_ver}
/usr/sbin/dkms --rpm_safe_upgrade install -m %{module} -v %{dkms_ver}
:

%preun
set -x
/usr/sbin/dkms --rpm_safe_upgrade remove -m %{module} -v %{dkms_ver} --all
:

%files
%defattr(-,root,root)
/usr/src/%{module}-%{dkms_ver}

%files -n %{module}-preload
%defattr(-,root,root)
%{_sysconfdir}/modprobe.preload.d/%{module}


%changelog
* Fri May 29 2009 Olivier Blin <oblin@mandriva.com> 0-1mdv2009.0
+ Revision: 381076
- 2.6.27 support
- initial dkms-psb package
- create dkms-psb

